<?xml version="1.0" encoding="utf-8"?>
<odoo>

    <template id="website_helpdesk_form_assets_editor" name="Website Helpdesk Form Assets Editor" inherit_id="website.assets_editor">
        <xpath expr="." position="inside">
            <script type="text/javascript" src="/website_helpdesk_form/static/src/js/website_helpdesk_form_editor.js"></script>
        </xpath>
    </template>

    <template id="website_helpdesk_form.ticket_submited" name="Ticket Received">
        <t t-call="website.layout">
            <div id="wrap" class="oe_structure oe_empty">
                <div class="container">
                    <div clas="row">
                        <t t-if="request.session.get('form_builder_model_model', '') == 'helpdesk.ticket'">
                            <t t-set="ticket" t-value="request.website._website_form_last_record().sudo()"/>
                        </t>
                        <h1 class="text-center"><i class="fa fa-check-circle fa-2x text-success" role="img" aria-label="Success" title="Success"/></h1>
                        <t t-if="ticket">
                            <h1 class="text-center">Your Ticket Number is <a t-if="request.session.uid" t-attf-href="/helpdesk/ticket/#{ticket.id}">#<span t-field="ticket.id"/></a><t t-if="not request.session.get('uid')">#<span t-field="ticket.id"/></t>.</h1>
                        </t>
                        <h1 class="text-center">Thank you for submitting your issue, our team will get right on it!</h1>
                    </div>
                </div>
            </div>
         </t>
    </template>

    <record id="aboutus_page" model="website.page">
        <field name="is_published">True</field>
        <field name="url">/your-ticket-has-been-submitted</field>
        <field name="website_indexed" eval="False"/>
        <field name="view_id" ref="ticket_submited" />
    </record>

    <template id="website_helpdesk_form.ticket_submit" name="Helpdesk: Submit a Ticket">
        <t name="Helpdesk" priority="29" t-name="website.helpdesk">
            <t t-call="website.layout">
                <t t-set="additional_title">Ticket</t>
                <h2 t-if="team" class="text-center text-muted">
                    <span><t t-esc="team.name"/></span>
                </h2>
                <div id="wrap" class="oe_structure oe_empt">
                    <div class="container">
                        <div class="row">
                            <section id="forms">
                                <span class="hidden" data-for="helpdesk_ticket_form" t-att-data-values="{'partner_name': default_values.get('name', ''), 'partner_email': default_values.get('email', ''), 'team_id': team and team.id or False}" />
                                <form id="helpdesk_ticket_form" action="/website_form/" method="post" class="s_website_form container-fluid mt32" enctype="multipart/form-data" data-model_name="helpdesk.ticket" data-success_page="/your-ticket-has-been-submitted" data-editable-form="false"  hide-change-model="true">
                                    <div class="form-group row form-field o_website_form_required">
                                        <div class="col-lg-3 col-md-4 text-right">
                                            <label class="col-form-label" for="partner_name">Your Name</label>
                                        </div>
                                        <div class="col-lg-7 col-md-8">
                                            <input type="text" class="form-control o_website_form_input" name="partner_name" required="1"/>
                                        </div>
                                    </div>
                                    <div class="form-group row form-field o_website_form_required">
                                        <div class="col-lg-3 col-md-4 text-right">
                                            <label class="col-form-label" for="partner_email">Your Email</label>
                                        </div>
                                        <div class="col-lg-7 col-md-8">
                                            <input type='email' class='form-control o_website_form_input' name="partner_email" required="1"/>
                                        </div>
                                    </div>
                                    <div class="form-group row form-field o_website_form_required">
                                        <div class="col-lg-3 col-md-4 text-right">
                                            <label class="col-form-label" for="name">Subject</label>
                                        </div>
                                        <div class="col-lg-7 col-md-8">
                                            <input type="text" class="form-control o_website_form_input" name="name" required="1"/>
                                        </div>
                                    </div>
                                    <div class="form-group row form-field">
                                        <div class="col-lg-3 col-md-4 text-right">
                                            <label class="col-form-label" for="description">Description</label>
                                        </div>
                                        <div class="col-lg-7 col-md-8">
                                            <textarea class="form-control o_website_form_input" name="description"/>
                                        </div>
                                    </div>
                                    <div class="form-group row form-field">
                                        <div class="col-lg-3 col-md-4 text-right">
                                            <label class="col-form-label" for="attachments">Attachment(s)</label>
                                        </div>
                                        <div class="col-lg-7 col-md-8">
                                            <input type="file" name="attachments" class="form-control o_website_form_input" multiple="true" accept="image/*,application/pdf,video/*"/>
                                        </div>
                                    </div>
                                    <div class="form-group row form-field d-none">
                                        <div class="col-lg-3 col-md-4">
                                            <label class="col-form-label" for="team_id">Team</label>
                                        </div>
                                        <div class="col-lg-7 col-md-8">
                                            <input type="hidden" class="form-control o_website_form_input" name="team_id"/>
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <div class="offset-lg-3 offset-md-4 col-md-8 col-lg-7">
                                            <button type="submit" class="btn btn-primary btn-lg o_website_form_send o_default_snippet_text">Send</button>
                                            <span id="o_website_form_result"></span>
                                        </div>
                                    </div>
                                </form>
                            </section>
                        </div>
                    </div>
                </div>
            </t>
        </t>
    </template>
</odoo>
